Skip to main content
POST
/
saas
/
{saasId}
/
provision
Provision a SaaS identity
curl --request POST \
  --url https://api.getprimo.com/saas/{saasId}/provision \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeId": "<string>",
  "groups": [
    "<string>"
  ],
  "roles": [
    "<string>"
  ],
  "licenses": [
    "<string>"
  ],
  "organizationUnits": [
    "<string>"
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt

Use this file to discover all available pages before exploring further.

Key: Write Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Path Parameters

saasId
string
required

Body

application/json
employeeId
string
required

The ID of the employee to provision on this SaaS application.

groups
string[]

IDs of groups to assign. Retrieve available IDs from getSaasByIdgroups[].id.

Minimum string length: 1
roles
string[]

IDs of roles to assign. Retrieve available IDs from getSaasByIdroles[].id.

Minimum string length: 1
licenses
string[]

IDs of licenses to assign. Retrieve available IDs from getSaasByIdlicenses[].id.

Minimum string length: 1
organizationUnits
string[]

IDs of organization units to assign. Retrieve available IDs from getSaasByIdorganizationUnits[].id.

Minimum string length: 1

Response

default - application/json
provisioningType
enum<string>
required

Whether the provisioning was handled automatically via API or a manual ticket was created.

Available options:
automatic,
manual